/// Profiler Interface
/// Author: Younghyun Cho <younghyun@csap.snu.ac.kr>

#ifdef __cplusplus
extern "C" {
#endif

void CreateSingleMemoryProfiler();

void CreateMCTProfiler(int num_memories);
void CreateDCTProfiler(int dct_num, int num_memories);
void StartProfiling();
void StopProfiling(char* prefix, char* path);
void ReleaseProfiler();

#ifdef __cplusplus
}
#endif

